summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-server/ut2004-ded
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-server/ut2004-ded')
-rw-r--r--games-server/ut2004-ded/Manifest3
-rw-r--r--games-server/ut2004-ded/files/ut2004-ded.confd9
-rw-r--r--games-server/ut2004-ded/files/ut2004-ded.initd26
-rw-r--r--games-server/ut2004-ded/metadata.xml8
-rw-r--r--games-server/ut2004-ded/ut2004-ded-3369.3-r1.ebuild96
5 files changed, 142 insertions, 0 deletions
diff --git a/games-server/ut2004-ded/Manifest b/games-server/ut2004-ded/Manifest
new file mode 100644
index 00000000000..40c2f3f4018
--- /dev/null
+++ b/games-server/ut2004-ded/Manifest
@@ -0,0 +1,3 @@
+DIST dedicatedserver3339-bonuspack.zip 914213907 SHA256 b8fc94fc843483b18c225e100736d10cb2690ba8666d6abbb274ea6ad718b18e
+DIST ut2004-lnxpatch3369-2.tar.bz2 22465217 SHA256 438b9b13a367d46f23cce12b065382a55afa2fc68add1f1dd3db03b015f60bb3 SHA512 0d6f26d5a811efd64be8c304e928e03f546d9a8eaba6b074843e2b7e76e0670b39df95200a2fe2040d72bbd204c7157ed0115649a5c85396a76d9e0b7ec284b1 WHIRLPOOL 2e04124aa7eb4e2689b048aceeb8c085a5756bad4c0f084da764055ea7a403623107bc6bb29d00b9b93b45675f4475e145edb4e6a3faf208d9fe36f4a65c9e78
+DIST ut2004-v3369-3-linux-dedicated.7z 5013927 SHA256 799f00deccb7ee1e3db3963deeb50a41b05a262e6f7363654c4f0438e06d7192 SHA512 3b2a7b64934a3647c02c9fec48565c5c2c35370d635b2af4059eb76587bfa13f46e6a4e14fdb0494ba7a4182497ed5963601986f4fcfa318e69a8a8a8c0178cf WHIRLPOOL ef459d7c053ac70be6313c65edaff095053cab840588d5762834b4402e299d8782401ebf1341ff61a150efed8420bf377b7a7ba10dbed6608d86791e2569e733
diff --git a/games-server/ut2004-ded/files/ut2004-ded.confd b/games-server/ut2004-ded/files/ut2004-ded.confd
new file mode 100644
index 00000000000..a485b12d221
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.confd
@@ -0,0 +1,9 @@
+# User and group the server should run as
+ut2004_ded_user="@USER@"
+ut2004_ded_group="@GROUP@"
+
+# Directory to use for HOME
+ut2004_ded_home="@HOME@"
+
+# Any extra options you want to pass to the server
+ut2004_ded_opts="DM-Deck17"
diff --git a/games-server/ut2004-ded/files/ut2004-ded.initd b/games-server/ut2004-ded/files/ut2004-ded.initd
new file mode 100644
index 00000000000..90fadb66a21
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ut2004-ded"
+ start-stop-daemon --start --quiet --background --make-pidfile \
+ --pidfile /var/run/ut2004-ded.pid \
+ --chuid ${ut2004_ded_user}:${ut2004_ded_group} \
+ --env HOME="${ut2004_ded_home}" \
+ --exec "@DIR@/ut2004-ded" \
+ -- ${ut2004_ded_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ut2004-ded"
+ start-stop-daemon --stop \
+ --pidfile /var/run/ut2004-ded.pid
+ eend $?
+}
diff --git a/games-server/ut2004-ded/metadata.xml b/games-server/ut2004-ded/metadata.xml
new file mode 100644
index 00000000000..1d87c44571d
--- /dev/null
+++ b/games-server/ut2004-ded/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<longdescription>
+Unreal Tounament 2004 is a first-person 3-D shooter and sequel to the 2003 Game of the Year, Unreal Tournament 2003. The game was ported to Linux by Ryan "icculus" Gordon under contract from Epic Games and the Linux installer was released in the retail box. This is the dedicated server portion of the game and does not require the retail discs to use.
+</longdescription>
+</pkgmetadata>
diff --git a/games-server/ut2004-ded/ut2004-ded-3369.3-r1.ebuild b/games-server/ut2004-ded/ut2004-ded-3369.3-r1.ebuild
new file mode 100644
index 00000000000..afd15fbe42d
--- /dev/null
+++ b/games-server/ut2004-ded/ut2004-ded-3369.3-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games
+
+BONUSPACK_P="dedicatedserver3339-bonuspack.zip"
+PATCH_P="ut2004-lnxpatch${PV%.*}-2.tar.bz2"
+DESCRIPTION="Unreal Tournament 2004 Linux Dedicated Server"
+HOMEPAGE="http://www.unrealtournament.com/"
+SRC_URI="mirror://3dgamers/unrealtourn2k4/${BONUSPACK_P}
+ http://downloads.unrealadmin.org/UT2004/Server/${BONUSPACK_P}
+ http://sonic-lux.net/data/mirror/ut2004/${BONUSPACK_P}
+ mirror://3dgamers/unrealtourn2k4/${PATCH_P}
+ http://downloads.unrealadmin.org/UT2004/Patches/Linux/${PATCH_P}
+ http://sonic-lux.net/data/mirror/ut2004/${PATCH_P}
+ mirror://gentoo/ut2004-v${PV/./-}-linux-dedicated.7z"
+
+LICENSE="ut2003"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+RESTRICT="mirror strip"
+
+DEPEND="app-arch/unzip
+ app-arch/p7zip"
+RDEPEND="sys-libs/glibc
+ !games-fps/ut2004[dedicated]
+ games-fps/ut2004-bonuspack-ece
+ games-fps/ut2004-bonuspack-mega"
+
+S=${WORKDIR}
+
+dir=${GAMES_PREFIX_OPT}/${PN}
+
+src_prepare() {
+ cp -rf UT2004-Patch/* . || die
+ rm -rf System/{ucc-bin*,ut2004-bin*,*.dll,*.exe} UT2004-Patch
+ if use amd64 ; then
+ mv -f ut2004-ucc-bin-09192008/ucc-bin-linux-amd64 System/ucc-bin || die
+ else
+ mv -f ut2004-ucc-bin-09192008/ucc-bin System/ || die
+ fi
+ rm -rf ut2004-ucc-bin-09192008
+ # Owned by ut2004-bonuspack-ece
+ rm -f Animations/{MetalGuardAnim,ONSBPAnimations,NecrisAnim,MechaSkaarjAnims}.ukx
+ rm -f Help/BonusPackReadme.txt
+ rm -f Maps/{ONS-Adara,ONS-IslandHop,ONS-Tricky,ONS-Urban}.ut2
+ rm -f Sounds/{CicadaSnds,DistantBooms,ONSBPSounds}.uax
+ rm -f StaticMeshes/{HourAdara,BenMesh02,BenTropicalSM01,ONS-BPJW1,PC_UrbanStatic}.usx
+ rm -f System/{ONS-IslandHop,ONS-Tricky,ONS-Adara,ONS-Urban,OnslaughtBP}.int
+ rm -f System/xaplayersl3.upl
+ rm -f Textures/{ONSBPTextures,BonusParticles,HourAdaraTexor,BenTex02,BenTropical01,PC_UrbanTex,AW-2k4XP,ONSBP_DestroyedVehicles,UT2004ECEPlayerSkins,CicadaTex,Construction_S}.utx
+ # Owned by ut2004-bonuspack-mega
+ rm -f System/{Manifest.ini,Manifest.int,Packages.md5}
+}
+
+src_install() {
+ einfo "This will take a while... go get a pizza or something"
+
+ games_make_wrapper ${PN} "./ucc-bin server" "${dir}"/System
+
+ insinto "${dir}"
+ doins -r *
+ fperms +x "${dir}"/System/ucc-bin
+
+ sed \
+ -e "s:@USER@:${GAMES_USER_DED}:" \
+ -e "s:@GROUP@:${GAMES_GROUP}:" \
+ -e "s:@HOME@:${GAMES_PREFIX}:" \
+ "${FILESDIR}"/${PN}.confd > "${T}"/${PN}.confd || die
+ newconfd "${T}"/${PN}.confd ${PN}
+
+ sed \
+ -e "s:@DIR@:${GAMES_BINDIR}:g" \
+ "${FILESDIR}"/${PN}.initd > "${T}"/${PN}.initd || die
+ newinitd "${T}"/${PN}.initd ${PN}
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ ewarn "You should take the time to edit the default server INI."
+ ewarn "Consult the INI Reference at http://www.unrealadmin.org/"
+ ewarn "for assistance in adjusting the following file:"
+ ewarn "${dir}/System/Default.ini"
+ ewarn
+ ewarn "To have your server authenticate properly to the"
+ ewarn "central server, you MUST visit the following site"
+ ewarn "and request a key. This is not required if you"
+ ewarn "want an unfindable private server. [DoUplink=False]"
+ ewarn
+ ewarn "http://unreal.epicgames.com/ut2004server/cdkey.php"
+}